Agora RTC Objective-C API Reference Refactor

Properties
AgoraRtcEngineConfig Class Reference

Inherits <NSObject>.

## Properties
NSString *_Nullable | appId
AgoraChannelProfile | channelProfile
NSString *_Nullable | license
AgoraAudioScenario | audioScenario
AgoraAreaCodeType | areaCode
AgoraLogConfig *_Nullable | logConfig
AgoraThreadPriorityType | threadPriority
id< AgoraMediaFilterEventDelegate > _Nullable | eventDelegate
BOOL | domainLimit
BOOL | autoRegisterAgoraExtensions

## Property Documentation

## ◆ appId

- (NSString* _Nullable) appId
| read write nonatomic copy

The App ID issued by Agora for your project. Only users in apps with the same App ID can join the same channel and communicate with each other. An App ID can only be used to create one `AgoraRtcEngineKit` instance. To change your App ID, call `destroy` to destroy the current `AgoraRtcEngineKit` instance, and then create a new one.

## ◆ channelProfile

- (AgoraChannelProfile) channelProfile
| read write nonatomic assign

The channel profile. See `AgoraChannelProfile`.

## ◆ license

- (NSString* _Nullable) license
| read write nonatomic copy

The license used for verification when connectting channel. Charge according to the license

## ◆ audioScenario

- (AgoraAudioScenario) audioScenario
| read write nonatomic assign

The audio scenarios. Under different audio scenarios, the device uses different volume types. See `AgoraAudioScenario`.

## ◆ areaCode

- (AgoraAreaCodeType) areaCode
| read write nonatomic assign

The region for connection. This is an advanced feature and applies to scenarios that have regional restrictions. For details on supported regions, see `AgoraAreaCodeType`. The area codes support bitwise operation.

## ◆ logConfig

- (AgoraLogConfig* _Nullable) logConfig
| read write nonatomic strong

Sets the log file size. See `AgoraLogConfig`. By default, the SDK generates five SDK log files and five API call log files with the following rules:

- The SDK log files are: `agorasdk.log`, `agorasdk.1.log`, `agorasdk.2.log`, `agorasdk.3.log`, and `agorasdk.4.log`.
- The API call log files are: `agoraapi.log`, `agoraapi.1.log`, `agoraapi.2.log`, `agoraapi.3.log`, and `agoraapi.4.log`.
- The default size of each SDK log file and API log file is 2,048 KB. These log files are encoded in UTF-8.
- The SDK writes the latest logs in `agorasdk.log` or `agoraapi.log`.
- When `agorasdk.log` is full, the SDK processes the log files in the following order:1. Delete the `agorasdk.4.log` file (if any).

1. Rename `agorasdk.3.log` to `agorasdk.4.log`.
2. Rename `agorasdk.2.log` to `agorasdk.3.log`.
3. Rename `agorasdk.1.log` to `agorasdk.2.log`.
4. Create a new `agorasdk.log` file.

- The overwrite rules for the `agoraapi.log` file are the same as for `agorasdk.log`.

## ◆ threadPriority

- (AgoraThreadPriorityType) threadPriority
| read write nonatomic assign

Thread priority for SDK common threads

See AgoraThreadPriorityType.

## ◆ eventDelegate

- (id<AgoraMediaFilterEventDelegate> _Nullable) eventDelegate
| read write nonatomic weak

The `AgoraMediaFilterEventDelegate` instance.

## ◆ domainLimit

- (BOOL) domainLimit
| read write nonatomic assign

Whether to enable domain name restriction:

- `YES`: Enables the domain name restriction. This value is suitable for scenarios where IoT devices use IoT cards for network access. The SDK will only connect to servers in the domain name or IP whitelist that has been reported to the operator.
- `NO`: (Default) Disables the domain name restriction. This value is suitable for most common scenarios.

## ◆ autoRegisterAgoraExtensions

- (BOOL) autoRegisterAgoraExtensions
| read write nonatomic assign

Whether to automatically register the Agora extensions when initializing `AgoraRtcEngineKit`:

- `YES`: (Default) Automatically register the Agora extensions when initializing `AgoraRtcEngineKit`.
- `NO`: Do not register the Agora extensions when initializing `AgoraRtcEngineKit`. You need to call `enableExtensionWithVendor:extension:enabled:sourceType:` to register the Agora extensions.